<template>
    <div class="container-fluid">
        <div class="block-header">
            <h2>DASHBOARD</h2>
        </div>
        <!-- Widgets -->
        <div class="row clearfix">
            <div class="counter-section">
                <div class="row">
                    <div class="col-md-4">
                        <div class="counter-box">
                            <img :src="'/assets/frontend/images/icon/dashboard/order.png'" class="img-fluid">
                            <div>
                                <h3>0</h3>
                                <h5>total products</h5>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="counter-box">
                            <img :src="'/assets/frontend/images/icon/dashboard/sale.png'" class="img-fluid">
                            <div>
                                <h3>0</h3>
                                <h5>total sales</h5>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="counter-box">
                            <img :src="'/assets/frontend/images/icon/dashboard/sale.png'" class="img-fluid">
                            <div>
                                <h3>0</h3>
                                <h5>Today Sale</h5>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="counter-box">
                            <img :src="'/assets/frontend/images/icon/dashboard/homework.png'" class="img-fluid">
                            <div>
                                <h3>0</h3>
                                <h5>Total Order</h5>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="counter-box">
                            <img :src="'/assets/frontend/images/icon/dashboard/homework.png'" class="img-fluid">
                            <div>
                                <h3>0</h3>
                                <h5>Today Order</h5>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="counter-box">
                            <img :src="'/assets/frontend/images/icon/dashboard/homework.png'" class="img-fluid">
                            <div>
                                <h3>0</h3>
                                <h5>Order pending</h5>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Widgets -->
    </div>
</template>

<script>
    import Toaster from 'v-toaster'
    import 'v-toaster/dist/v-toaster.css';
    Vue.use(Toaster, {timeout: 2000});
    export default {
        created() {
            //this.$toaster.success('Your toaster success message.');
            // or custom timeout
            //this.$toaster.success('Your toaster success message.', {timeout: 8000});

            //this.$toaster.info('Your toaster info message.');
            //this.$toaster.error('Your toaster error message.');
            //this.$toaster.warning('Your toaster warning message.');
        }
    }
</script>
<style scoped>
    .counter-section .counter-box {
        background-color: #f8f8f8;
        padding: 30px 30px;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        border-left: 3px solid red;
        border-radius: 8px; }
    .counter-section .counter-box img {
        height: 50px;
        margin-right: 20px; }
    .counter-section .counter-box h3 {
        font-weight: 700;
        color: red;
        margin-bottom: 4px;
        font-size: 20px; }
    .counter-section .counter-box h5 {
        margin-bottom: 0;
        text-transform: capitalize; }
    .rtl .counter-section .counter-box img {
        margin-left: 20px;
        margin-right: unset; }
    .counter-section .row > div {
        margin-bottom: 20px;
    }
    @media (max-width: 1199px) {
        .counter-section .counter-box {
            padding: 20px;
        }
        .dashboard-section .counter-section .counter-box img {
            height: 40px;
            margin-right: 10px;
        }
    }
</style>
